############################################################################## 
# 
# This software is released under the Zope Public License (ZPL) Version 1.0
#
# Copyright (c) Digital Creations. All rights reserved. 
# Portions Copyright (c) 1999 by Butch Landingin.
# Portions Copyright (c) 2000-2001 by Chris Withers.
# Portions Copyright (c) 2002 by KANDA Hiroshi.
# 
############################################################################## 
__version__='$Revision: 1.10 $'[11:-2]  

from Products.Zch.Zch import ZchSite,__doc__
from Globals import HTMLFile
from ImageFile import ImageFile  

# Register the Zch Site class
def initialize(context):

        context.registerClass(
            ZchSite,
            meta_type='Zch Site',
            constructors = (
                manage_addZchForm,
                manage_addZch
            )
        )            
        
# Load addZchForm from disk
manage_addZchForm = HTMLFile('addZchForm', globals())

# method to construct a Zch Site
#KANDA
#def manage_addZch(self,id,title='',mailhost='',exp=0,expire='0',     
#                              moderated=0, default_doc='',
#			mail_articles=0, mail_replies=0, REQUEST=None):     
def manage_addZch(self,id,title='',mailhost='',exp=0,expire='0',     
                              moderated=0, default_doc='',
			mail_articles=0, mail_replies=0, fileattache=0, sage=0, REQUEST=None):     
    """Create Zch Site"""     
    if exp:     
        try:    expire=atoi(expire)     
        except: expire=0     
    else:   expire=0     
    if mailhost:     
        try:    v=getattr(self, mailhost)     
        except: return MessageDialog(title='Invalid Mail Host',     
                                     message='Cannot find the named mail host!',     
                                     action=REQUEST['URL1']+'/manage_main'     
                                    )     
#KANDA
#    ob=ZchSite(id, title, mailhost, expire, moderated,
#				       default_doc,mail_articles,
#				       mail_replies, parent=self)         
    ob=ZchSite(id, title, mailhost, expire, moderated,
				       default_doc,mail_articles,
				       mail_replies, fileattache, sage, parent=self)         
    self._setObject(id, ob)     
     
    if REQUEST: return self.manage_main(self,REQUEST,update_menu=1)  

# Load images from disk and make them accessible
misc_={'Zch_img':  ImageFile('Zch.gif',globals()),  
       'posting_img':    ImageFile('posting.gif',globals()),  
       'comment_img':    ImageFile('comment.gif',globals()),  
       'Zchfile_img': ImageFile('Zchfile.gif',globals()),  
      }  

# make the mailhost_list method accessible
# does this need to be changed to the new system?
methods={ 'mailhost_list': ZchSite.mailhost_list }  


