## Script (Python) "validate"
##title=Validate Postings
##parameters=raw=None

import string

if raw is None:
    # being called from previewPosting
    raw = context.REQUEST
    posting = context.dummyPosting()
else:
    posting = context

Processed = {}

#HTTP_REFERER
if context.REQUEST.BASE0 != context.REQUEST.HTTP_REFERER[0:len(context.REQUEST.BASE0)]:
    return Processed,'dqqnqFHTTP_REFERERsłI!'

# get the encoding and specify a site default
encoding = raw.get('encoding','Plain')
Processed['encoding']=encoding

# get fields and make their html safe
for field in posting.getFields():
    value = raw.get(field,None)
    if value is not None:
        if encoding!='Plain':
            value = context.html2safehtml(value)
        Processed[field]=value

# stick notify in processed
Processed['notify']=raw.get('notify','')

# integrity checks
if raw.get('notify') and not raw.get('email'):
    return Processed,'You must enter an email address for notification!'
   
if   posting.meta_type=='Article':
    
    if not raw.get('title'):
        return Processed,'dqqnqF^Cg܂!'
    if not raw.get('summary'):
        return Processed,'dqqnqF{܂!'
    if not raw.get('author'):
        pass
    if not raw.get('email'):
        pass
    
    if raw.get('summary'):
        body1=string.replace(raw.get('summary'),'\n','')
        body1=string.replace(body1,'\r','')
        if len(body1) == 0:
            return Processed,'dqqnqF{܂!'

elif posting.meta_type=='Comment':
    
    if not raw.get('title'):
        return Processed,'dqqnqF^Cg܂!'
    if not raw.get('body'):
        return Processed,'dqqnqF{܂!'
    if not raw.get('author'):
        pass
    if not raw.get('email'):
        pass

    if raw.get('body'):
        body1=string.replace(raw.get('body'),'\n','')
        body1=string.replace(body1,'\r','')
        if len(body1) == 0:
            return Processed,'dqqnqF{܂!'

# author
value=raw.get('author')
Processed['author']=value
Processed['real_author']=value
if context.REQUEST.AUTHENTICATED_USER.getRoles() == ('Anonymous',):
  value=context.renderAuthor(Processed['author'])
  value=string.replace(value,'','')
  value=string.replace(value,'','')
  value=string.replace(value,'','')
  value=string.replace(value,'폜','"폜"')
  value=string.replace(value,'sakujyo','"sakujyo"')
  value=string.replace(value,'ݒul','"ݒul"')
  value=string.replace(value,'Ǘl','"Ǘl"')
  value=string.replace(value,'ǒl','"ǒl"')
  value=string.replace(value,'l','"l"')
  # fusianasan
  if string.find(value,"fusianasan") >= 0:
    value=string.replace(value,'fusianasan','</B>' + context.zchfqdn(context.REQUEST.REMOTE_ADDR) + '<B>')
  # trip
  if string.find(value,"#") >= 0:
    value1=value[:string.find(value,"#")]
    value2=value[(string.find(value,"#")+1):]
    value3=context.zchcrypt(value2,"TP")
    value=value1+"</B>"+value3[3:11]+"<B>"
  Processed['dept']=context.REQUEST.REMOTE_ADDR

if value=="":
  value=context.NONAME_NAME
Processed['author']=value

return Processed,None
